Package org.globus.io.streams

# Class GlobusFileOutputStream

java.lang.Object
java.io.OutputStream
org.globus.io.streams.GlobusOutputStream
org.globus.io.streams.GlobusFileOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class GlobusFileOutputStream extends GlobusOutputStream

## Constructor Summary

Constructors
Constructor
Description
`GlobusFileOutputStream(String file, boolean append)`

## Method Summary

Modifier and Type
Method
Description
`void`
`abort()`
Aborts transfer.
`void`
`close()`
`void`
`flush()`
`void`
`write(byte[] msg)`
`void`
`write(byte[] msg, int from, int length)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusFileOutputStream

public GlobusFileOutputStream(String file, boolean append) throws IOException

Throws:
  `IOException`

## Method Details

### abort

public void abort()
Description copied from class: `GlobusOutputStream`
Aborts transfer. Usually makes sure to release all resources (sockets, file descriptors)
Does nothing by default.

Overrides:
  `abort` in class `GlobusOutputStream`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] msg) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] msg, int from, int length) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(int b) throws IOException

Overrides:
  `write` in class `GlobusOutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`